diff --git a/src/audio/audio_capture.c b/src/audio/audio_capture.c
index 02cbed1..98b6145 100644
--- a/src/audio/audio_capture.c
+++ b/src/audio/audio_capture.c
@@ -116,6 +116,7 @@ struct audio_capture_t {
 };
 
 static struct audio_capture_t audio_capture_table[] = {
+#ifndef UV_IN_YURI
         { "embedded",
                 NULL,
                 MK_STATIC(sdi_capture_help),
@@ -196,6 +197,7 @@ static struct audio_capture_t audio_capture_table[] = {
                 MK_STATIC(audio_cap_testcard_done),
                 NULL
         },
+#endif /* UV_IN_YURI */
         { "none",
                 NULL,
                 MK_STATIC(audio_cap_none_help),
diff --git a/src/audio/audio_playback.c b/src/audio/audio_playback.c
index 318e8d5..9a651e2 100644
--- a/src/audio/audio_playback.c
+++ b/src/audio/audio_playback.c
@@ -113,6 +113,7 @@ struct audio_playback_t {
 };
 
 static struct audio_playback_t audio_playback_table[] = {
+#ifndef UV_IN_YURI
         { "embedded",
                NULL,
                MK_STATIC(sdi_playback_help),
@@ -195,6 +196,7 @@ static struct audio_playback_t audio_playback_table[] = {
                 NULL
         },
 #endif
+#endif /* UV_IN_YURI */
         { "none",
                 NULL,
                 MK_STATIC(audio_play_none_help),
diff --git a/src/video_capture.c b/src/video_capture.c
index 48ff853..33549bb 100644
--- a/src/video_capture.c
+++ b/src/video_capture.c
@@ -143,9 +143,11 @@ struct vidcap_device_api {
          */
 };
 
+
 /** @brief This table contains list of video capture devices compiled with this UltraGrid version.
  *  @copydetails decoders */
 struct vidcap_device_api vidcap_device_table[] = {
+#ifndef UV_IN_YURI
         {
          /* The aggregate capture card */
          0,
@@ -327,6 +329,7 @@ struct vidcap_device_api vidcap_device_table[] = {
          NULL
         },
 #endif /* HAVE_V4L2 */
+#endif /* UV_IN_YURI */
         {
          0,
          NULL,
@@ -336,6 +339,7 @@ struct vidcap_device_api vidcap_device_table[] = {
          MK_STATIC(vidcap_null_grab),
          NULL
         }
+
 };
 
 #define VIDCAP_DEVICE_TABLE_SIZE (sizeof(vidcap_device_table)/sizeof(struct vidcap_device_api))
diff --git a/src/video_compress.cpp b/src/video_compress.cpp
index 5fe450d..0fdada3 100644
--- a/src/video_compress.cpp
+++ b/src/video_compress.cpp
@@ -150,6 +150,7 @@ static void compress_done(struct module *mod);
  * @copydetails decoders
  */
 struct compress_t compress_modules[] = {
+#ifndef UV_IN_YURI
 #if defined HAVE_FASTDXT || defined BUILD_LIBRARIES
         {
                 "FastDXT",
@@ -216,6 +217,7 @@ struct compress_t compress_modules[] = {
                 NULL
         },
 #endif
+#endif /* UV_IN_YURI */
         {
                 "none",
                 NULL,
diff --git a/src/video_display.c b/src/video_display.c
index afca200..9ad3457 100644
--- a/src/video_display.c
+++ b/src/video_display.c
@@ -125,6 +125,7 @@ typedef struct {
  * @copydetails decoders
  */
 static display_table_t display_device_table[] = {
+#ifndef UV_IN_YURI
         {
          0,
          NULL,
@@ -276,6 +277,7 @@ static display_table_t display_device_table[] = {
          NULL
          },
 #endif                          /* HAVE_MACOSX */
+#endif /* UV_IN_YURI */
         {
          0,
          NULL,
diff --git a/src/vo_postprocess.c b/src/vo_postprocess.c
index d9f2668..d239c15 100644
--- a/src/vo_postprocess.c
+++ b/src/vo_postprocess.c
@@ -90,6 +90,7 @@ struct vo_postprocess_state {
 };
 
 struct vo_postprocess_t vo_postprocess_modules[] = {
+#ifndef UV_IN_YURI
         {"interlace",
                 NULL,
                 MK_STATIC(interlace_init),
@@ -147,6 +148,7 @@ struct vo_postprocess_t vo_postprocess_modules[] = {
                 MK_STATIC(interlaced_3d_done),
                 NULL
         },
+#endif
         { NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
                 NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL }
 };
